sui_tryGetPastObject - Sui
Example code for the sui_tryGetPastObject JSON-RPC method. Complete guide on how to use sui_tryGetPastObject JSON-RPC in GetBlock Web3 documentation.
Parameters
Parameter
Type
Required
Description
Returns
Field
Type
Description
Request Example
curl -X POST https://go.getblock.io/<ACCESS-TOKEN>/ \
-H "Content-Type: application/json" \
-d '{
"jsonrpc": "2.0",
"id": "getblock.io",
"method": "sui_tryGetPastObject",
"params": [
"0x53e4567ccafa5f36ce84c80aa8bc9be64e0d5ae796884274aef3005ae6733809",
4,
{ "showContent": true }
]
}'const axios = require('axios');
const payload = {
jsonrpc: '2.0',
id: 'getblock.io',
method: 'sui_tryGetPastObject',
params: [
'0x53e4567ccafa5f36ce84c80aa8bc9be64e0d5ae796884274aef3005ae6733809',
4,
{ showContent: true }
]
};
axios.post('https://go.getblock.io/<ACCESS-TOKEN>/', payload)
.then(response => console.log(response.data));Response Example
Response Parameters
Parameter
Type
Description
Use Cases
Error Handling
Error Code
Description
SDK Integration
Last updated
Was this helpful?